CreateDataAutomationLibrary
Creates a data automation library.
Request Syntax
PUT /data-automation-libraries/ HTTP/1.1
Content-type: application/json
{
"clientToken": "string",
"encryptionConfiguration": {
"kmsEncryptionContext": {
"string" : "string"
},
"kmsKeyId": "string"
},
"libraryDescription": "string",
"libraryName": "string",
"tags": [
{
"key": "string",
"value": "string"
}
]
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- clientToken
-
To avoid creating duplicate resources, specify a unique token for this library.
Type: String
Length Constraints: Minimum length of 33. Maximum length of 256.
Pattern:
[a-zA-Z0-9](-*[a-zA-Z0-9]){0,256}Required: No
- encryptionConfiguration
-
Encryption settings for the library.
Type: EncryptionConfiguration object
Required: No
- libraryDescription
-
A description for the library.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 300.
Pattern:
[a-zA-Z0-9\s!"\#\$%'&\(\)\*\+\,\-\./:;=\?@\[\\\]\^_`\{\|\}~><À-ÖØ-Üßà-öø-üẞ¿¡Œ-œ°£¥₹€§©ª®™¹±-µ✓⑆-⑉฿₽₱₦₣₩₫₺]*Required: No
- libraryName
-
A name for the library.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 128.
Pattern:
[a-zA-Z0-9-_]+Required: Yes
-
Tags assigned to the library at time of creation.
Type: Array of Tag objects
Array Members: Minimum number of 0 items. Maximum number of 200 items.
Required: No
Response Syntax
HTTP/1.1 201
Content-type: application/json
{
"libraryArn": "string",
"status": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 201 response.
The following data is returned in JSON format by the service.
- libraryArn
-
The library's ARN.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 128.
Pattern:
arn:aws(|-cn|-iso|-iso-[a-z]|-us-gov):bedrock:[a-zA-Z0-9-]*:[0-9]{12}:data-automation-library/[a-zA-Z0-9-]{12,36} - status
-
The library's status.
Type: String
Valid Values:
ACTIVE | DELETING
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
HTTP Status Code: 403
- ConflictException
-
HTTP Status Code: 409
- InternalServerException
-
HTTP Status Code: 500
- ServiceQuotaExceededException
-
HTTP Status Code: 402
- ThrottlingException
-
HTTP Status Code: 429
- ValidationException
-
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: